Bug 5149 - Ошибка стартовых скриптов openoffice.org-1.1.2-alt2
: Ошибка стартовых скриптов openoffice.org-1.1.2-alt2
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/openoffice.org)
: unstable
: all Linux
: P2 critical
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2004-09-02 18:53 by
Modified: 2005-08-30 12:34 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-09-02 18:53:23
eugene ~ $ rpm -qa openoffice.org
openoffice.org-1.1.2-alt2

Ни один компонент не запускается:
eugene ~ $ ooffice
/usr/bin/ooffice: line 1: /usr/lib/OpenOffice.org/program/instdb.ins: No such
file or directory
/usr/bin/ooffice: line 1: /usr/lib/OpenOffice.org/program/instdb.ins: No such
file or directory

Такого файла действительно нет, зато есть файл
/usr/lib/OpenOffice.org/program/instdb-07.ins. Если прописать в стартовых
скриптах вместо instdb.ins instdb-07.ins - все запускается и работает.
------- Comment #1 From 2004-09-03 00:35:14 -------
Это был upgrade с 1.1.2-alt1?
В качестве workaround'а лучше попробовать 
/usr/sbin/alternatives-helper --install openoffice.org-ru
что создаст symlink /usr/lib/OpenOffice.org/program/instdb.ins на
/usr/lib/OpenOffice.org/program/instdb-07.ins через alternatives.
------- Comment #2 From 2004-09-03 19:27:10 -------
Да, так работает. Но это наверное должен делать пакет при установке?
------- Comment #3 From 2004-09-04 13:52:20 -------
Fixed in 1.1.2-alt3